People & profiles
Save Org Bank Account
Creates or updates an org funding bank account, encrypting the account number and country fields.
POSThttps://api.toku.com/hris/save-org-bank-account
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/save-org-bank-account' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orgBankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bankCountryCode": "string",
"currency": "string",
"accountHolderName": "string",
"bankName": "string",
"accountType": "string",
"accountNumber": "string",
"countryFields": {},
"useForPlatformFees": true
}'200 response
{
"orgBankAccountId": "string",
"accountNumberLastFour": "string",
"bankCountryCode": "string",
"currency": "string",
"bankName": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
orgBankAccountIdstring<uuid>bankCountryCodestringrequiredAllowed: at least 1 characters
currencystringrequiredNOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it
Allowed: at least 1 characters
accountHolderNamestringrequiredAllowed: at least 1 characters
bankNamestringrequiredaccountTypestringrequiredaccountNumberstringrequiredcountryFieldsobjectrequireduseForPlatformFeesbooleanrequiredResponse
200Successful response
orgBankAccountIdstringrequiredaccountNumberLastFourstringrequiredbankCountryCodestringrequiredcurrencystringrequiredbankNamestringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits